package cn.stylefeng.workflow.instance.modular.task.strategy.agree.base;

import cn.stylefeng.workflow.api.entity.task.RuTask;
import cn.stylefeng.workflow.api.enums.ApproverNodeTypeEnum;
import cn.stylefeng.workflow.api.pojo.config.node.approver.ApproverStrategy;
import cn.stylefeng.workflow.instance.modular.task.strategy.agree.BaseAgreeStrategy;

public class AgreeInternalLoopStrategy implements BaseAgreeStrategy {

    @Override
    public boolean getStrategyExecuteFlag(Integer approverNodeTypeEnum) {
        return ApproverNodeTypeEnum.INTERNAL_LOOP.getMode().equals(approverNodeTypeEnum);
    }

    @Override
    public boolean strategyAction(RuTask currentProcessTask, ApproverStrategy approverStrategy) {


        return false;
    }

}
